X Fixes Extension Functions

Functions
X Fixes Extension Functions
Ecore » Ecore_X - X11 Integration

Functions related to the X Fixes extension. More...

## Functions
Ecore_X_Region | ecore_x_region_new (Ecore_X_Rectangle *rects, int num)
| Create a region from rectangles. More...
Ecore_X_Region | ecore_x_region_new_from_bitmap (Ecore_X_Pixmap bitmap)
| Create a region from a pixmap. More...
Ecore_X_Region | ecore_x_region_new_from_window (Ecore_X_Window win, Ecore_X_Region_Type type)
| Create a region from a window. More...
Ecore_X_Region | ecore_x_region_new_from_gc (Ecore_X_GC gc)
| Create a region from a graphic context. More...
Ecore_X_Region | ecore_x_region_new_from_picture (Ecore_X_Picture picture)
| Create a region from a picture. More...
void | ecore_x_region_free (Ecore_X_Region region)
| Destroy a region. More...
void | ecore_x_region_set (Ecore_X_Region region, Ecore_X_Rectangle *rects, int num)
| Set the content of a region. More...
void | ecore_x_region_copy (Ecore_X_Region dest, Ecore_X_Region source)
| Copy the content of a region. More...
void | ecore_x_region_combine (Ecore_X_Region dest, Ecore_X_Region source1, Ecore_X_Region source2)
| Make the union of two regions. More...
void | ecore_x_region_intersect (Ecore_X_Region dest, Ecore_X_Region source1, Ecore_X_Region source2)
| Make the intersection of two regions. More...
void | ecore_x_region_subtract (Ecore_X_Region dest, Ecore_X_Region source1, Ecore_X_Region source2)
| Make the subtraction of two regions. More...
void | ecore_x_region_invert (Ecore_X_Region dest, Ecore_X_Rectangle *bounds, Ecore_X_Region source)
| Make the subtraction of regions by bounds. More...
void | ecore_x_region_translate (Ecore_X_Region region, int dx, int dy)
| Translate a region. More...
void | ecore_x_region_extents (Ecore_X_Region dest, Ecore_X_Region source)
| Extent a region. More...
Ecore_X_Rectangle * | ecore_x_region_fetch (Ecore_X_Region region, int *num, Ecore_X_Rectangle *bounds)
| Return the rectangles that compose a region. More...
void | ecore_x_region_expand (Ecore_X_Region dest, Ecore_X_Region source, unsigned int left, unsigned int right, unsigned int top, unsigned int bottom)
| Expand a region. More...
void | ecore_x_region_gc_clip_set (Ecore_X_Region region, Ecore_X_GC gc, int x, int y)
| Change clip-mask in a graphic context to the specified region. More...
void | ecore_x_region_window_shape_set (Ecore_X_Region region, Ecore_X_Window dest, Ecore_X_Shape_Type type, int x, int y)
| Change the shape extension of a window. More...
void | ecore_x_region_picture_clip_set (Ecore_X_Region region, Ecore_X_Picture picture, int x, int y)
| Change clip-mask in picture to the specified region. More...

## Detailed Description

Functions related to the X Fixes extension.

## Function Documentation

## ◆ ecore_x_region_new()

Ecore_X_Region ecore_x_region_new | ( | Ecore_X_Rectangle * | rects,
|  | int | num
| ) |  |

Create a region from rectangles.

Parameters

  rects | The rectangles used to initialize the region.
  num | The number of rectangles.

Returns
  The newly created region.

Create a region initialized to the specified list of rectangles `rects`. The rectangles may be specified in any order, their union becomes the region.

## ◆ ecore_x_region_new_from_bitmap()

Ecore_X_Region ecore_x_region_new_from_bitmap | ( | Ecore_X_Pixmap | bitmap | ) |

Create a region from a pixmap.

Parameters

  bitmap | The bitmap used to initialize the region.

Returns
  The newly created region.

Creates a region initialized to the set of 'one' pixels in `bitmap` (which must be of depth 1, else Match error).

## ◆ ecore_x_region_new_from_window()

Ecore_X_Region ecore_x_region_new_from_window | ( | Ecore_X_Window | win,
|  | Ecore_X_Region_Type | type
| ) |  |

Create a region from a window.

Parameters

  win | The window used to initialize the region.
  type | The type of the region.

Returns
  The newly created region.

Creates a region initialized to the specified `window` region. See the Shape extension for the definition of Bounding and Clip regions.

## ◆ ecore_x_region_new_from_gc()

Ecore_X_Region ecore_x_region_new_from_gc | ( | Ecore_X_GC | gc | ) |

Create a region from a graphic context.

Parameters

  gc | The graphic context used to initialize the region.

Returns
  The newly created region.

Creates a region initialized from the clip list of `gc`.

## ◆ ecore_x_region_new_from_picture()

Ecore_X_Region ecore_x_region_new_from_picture | ( | Ecore_X_Picture | picture | ) |

Create a region from a picture.

Parameters

  picture | The picture used to initialize the region.

Returns
  The newly created region.

Creates a region initialized from the clip list of `picture`.

## ◆ ecore_x_region_free()

void ecore_x_region_free | ( | Ecore_X_Region | region | ) |

Destroy a region.

Parameters

  region | The region to destroy.

Destroy the specified `region`.

## ◆ ecore_x_region_set()

void ecore_x_region_set | ( | Ecore_X_Region | region,
|  | Ecore_X_Rectangle * | rects,
|  | int | num
| ) |  |

Set the content of a region.

Parameters

  region | The region to destroy.
  rects | The rectangles used to set the region.
  num | The number of rectangles.

Replace the current contents of `region` with the region formed by the union of the rectangles `rects`.

## ◆ ecore_x_region_copy()

void ecore_x_region_copy | ( | Ecore_X_Region | dest,
|  | Ecore_X_Region | source
| ) |  |

Copy the content of a region.

Parameters

  dest | The destination region.
  source | The source region.

Replace the contents of `dest` with the contents of `source`.

## ◆ ecore_x_region_combine()

void ecore_x_region_combine | ( | Ecore_X_Region | dest,
|  | Ecore_X_Region | source1,
|  | Ecore_X_Region | source2
| ) |  |

Make the union of two regions.

Parameters

  dest | The destination region.
  source1 | The first source region.
  source2 | The second source region.

Replace the contents of `dest` with the union of `source1` and `source2`.

## ◆ ecore_x_region_intersect()

void ecore_x_region_intersect | ( | Ecore_X_Region | dest,
|  | Ecore_X_Region | source1,
|  | Ecore_X_Region | source2
| ) |  |

Make the intersection of two regions.

Parameters

  dest | The destination region.
  source1 | The first source region.
  source2 | The second source region.

Replace the contents of `dest` with the intersection of `source1` and `source2`.

## ◆ ecore_x_region_subtract()

void ecore_x_region_subtract | ( | Ecore_X_Region | dest,
|  | Ecore_X_Region | source1,
|  | Ecore_X_Region | source2
| ) |  |

Make the subtraction of two regions.

Parameters

  dest | The destination region.
  source1 | The first source region.
  source2 | The second source region.

Replace the contents of `dest` with the subtraction of `source1` by `source2`.

## ◆ ecore_x_region_invert()

void ecore_x_region_invert | ( | Ecore_X_Region | dest,
|  | Ecore_X_Rectangle * | bounds,
|  | Ecore_X_Region | source
| ) |  |

Make the subtraction of regions by bounds.

Parameters

  dest | The destination region.
  bounds | The bounds.
  source | The source region.

The `source` region is subtracted from the region specified by `bounds`. The result is placed in `dest`, replacing its contents.

## ◆ ecore_x_region_translate()

void ecore_x_region_translate | ( | Ecore_X_Region | region,
|  | int | dx,
|  | int | dy
| ) |  |

Translate a region.

Parameters

  region | The region to translate.
  dx | The horizontal translation.
  dy | The vertical translation.

The `region` is translated by `dx` and `dy` in place.

## ◆ ecore_x_region_extents()

void ecore_x_region_extents | ( | Ecore_X_Region | dest,
|  | Ecore_X_Region | source
| ) |  |

Extent a region.

Parameters

  dest | The destination region.
  source | The source region.

The extents of the `source` region are placed in `dest`.

## ◆ ecore_x_region_fetch()

Ecore_X_Rectangle* ecore_x_region_fetch | ( | Ecore_X_Region | region,
|  | int * | num,
|  | Ecore_X_Rectangle * | bounds
| ) |  |

Return the rectangles that compose a region.

Parameters

  region | The region (Unused).
  num | The number of returned rectangles.
  bounds | The returned bounds of the region.

Returns
  The returned rectangles.

## ◆ ecore_x_region_expand()

void ecore_x_region_expand | ( | Ecore_X_Region | dest,
|  | Ecore_X_Region | source,
|  | unsigned int | left,
|  | unsigned int | right,
|  | unsigned int | top,
|  | unsigned int | bottom
| ) |  |

Expand a region.

Parameters

  dest | The destination region.
  source | The source region.
  left | The number of pixels to add on the left.
  right | The number of pixels to add on the right.
  top | The number of pixels to add at the top.
  bottom | The number of pixels to add at the bottom.

Put in `dest` the area specified by expanding each rectangle in the `source` region by the specified number of pixels to the `left`, `right`, `top` and `bottom`.

## ◆ ecore_x_region_gc_clip_set()

void ecore_x_region_gc_clip_set | ( | Ecore_X_Region | region,
|  | Ecore_X_GC | gc,
|  | int | x,
|  | int | y
| ) |  |

Change clip-mask in a graphic context to the specified region.

Parameters

  region | The region to change.
  gc | The clip-mask graphic context.
  x | The horizontal translation.
  y | The vertical translation.

Changes clip-mask in `gc` to the specified `region` and sets the clip origin with the values of `x_origin` and `y_origin`. Output will be clippped to remain contained within the region. The clip origin is interpreted relative to the origin of whatever destination drawable is specified in a graphics request. The region is interpreted relative to the clip origin. Future changes to region have no effect on the gc clip-mask.

## ◆ ecore_x_region_window_shape_set()

void ecore_x_region_window_shape_set | ( | Ecore_X_Region | region,
|  | Ecore_X_Window | dest,
|  | Ecore_X_Shape_Type | type,
|  | int | x,
|  | int | y
| ) |  |

Change the shape extension of a window.

Parameters

  region | The region.
  dest | The window whose shape is changed.
  type | The kind of shape.
  x | The horizontal offset.
  y | The vertical offset.

Set the specified Shape extension region of `window` to `region`, offset by `x_offset` and `y_offset`. Future changes to region have no effect on the window shape.

## ◆ ecore_x_region_picture_clip_set()

void ecore_x_region_picture_clip_set | ( | Ecore_X_Region | region,
|  | Ecore_X_Picture | picture,
|  | int | x,
|  | int | y
| ) |  |

Change clip-mask in picture to the specified region.

Parameters

  region | The region.
  picture | The picture.
  x | The X coordinate of the origin.
  y | The Y coordinate of the origin.

Changes clip-mask in picture to the specified `region` and sets the clip origin. Input and output will be clipped to remain contained within the region. The clip origin is interpreted relative to the origin of the drawable associated with `picture`. The region is interpreted relative to the clip origin. Future changes to region have no effect on the picture clip-mask.